/* 
 * File:   gs_path.h
 * Author: eis_os (cim bytetransfer.de)
 *
 * Created on 14.08.2011
 * 
 * last update: 01.10.2011
 */

#ifndef GS_PATH_H
#define	GS_PATH_H

#ifdef	__cplusplus
extern "C" {
#endif

// as all cim relevant file format specs are in gs.h, gs_path is there too...
#include "gs.h"

struct path_data_ll {
    struct gs_path p;
    struct path_data_ll *next;
};
struct path_data_ll* read_paths_file(const char *filename);
void write_obj_path_file_combined(const char *obj_path_file, int force_overwrite, struct path_data_ll *pd, const char *toolname);

#ifdef	__cplusplus
}
#endif

#endif	/* GS_PATH_H */

